//===================================================================
// Apci8284w.h - wrapper for C/C++
//-------------------------------------------------------------------
// Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//===================================================================
#include "Apci8284.h"

#ifdef __cplusplus
extern "C"{
#endif

#define APCI8284_DLL_NAME		_T("Apci8284.dll")		// DLL t@C
#define APCI8284_ERR_WRAPDLL	((DWORD)-1)				// wrapper ֐G[

BOOL  Apci8284wDllOpen( void );
BOOL  Apci8284wDllClose( void );

BOOL  Apci8284wGetVersion( PDWORD pdwDllVer, PDWORD pdwDrvVer );
BOOL  Apci8284wCreate( PWORD pwLogSlot, HWND  hWnd, UINT  uWMBase );
BOOL  Apci8284wClose( WORD wLogSlot );
BOOL  Apci8284wGetResource( WORD wLogSlot, PAPCI8284R pRes );
BOOL  Apci8284wIoReadByte( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PBYTE pbData );
BOOL  Apci8284wIoReadWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PWORD pwData );
BOOL  Apci8284wIoReadDWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PDWORD	pdwData );
BOOL  Apci8284wIoWriteByte( WORD wLogSlot, WORD wRegion, DWORD dwOffset, BYTE bData );
BOOL  Apci8284wIoWriteWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, WORD wData );
BOOL  Apci8284wIoWriteDWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, DWORD dwData );
BOOL  Apci8284wMemReadByte( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PBYTE pbData );
BOOL  Apci8284wMemReadWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PWORD pwData );
BOOL  Apci8284wMemReadDWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, PDWORD pdwData );
BOOL  Apci8284wMemWriteByte( WORD wLogSlot, WORD wRegion, DWORD dwOffset, BYTE bData );
BOOL  Apci8284wMemWriteWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, WORD wData );
BOOL  Apci8284wMemWriteDWord( WORD wLogSlot, WORD wRegion, DWORD dwOffset, DWORD dwData );
BOOL  Apci8284wDmaAlloc(WORD wLogSlot,DWORD dwMemSize,PDWORD pdwAddres);
BOOL  Apci8284wDmaRead(WORD wLogSlot,DWORD dwOffset,PBYTE pbBuff,DWORD dwSize);
BOOL  Apci8284wDmaWrite(WORD wLogSlot,DWORD dwOffset,PBYTE pbBuff,DWORD dwSize);
BOOL  Apci8284wDmaFree(WORD wLogSlot);
DWORD Apci8284wGetLastError( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
