//===================================================================
// Apci8284.h - user application interface
//-------------------------------------------------------------------
// Copyright (c) ADTEK SYSTEM SCIENCE Co.,Ltd.
//===================================================================
#define APCI8284_SLOT_AUTO			((WORD) ~0U)
#define APCI8284_MAX_SLOTS			16

//-------------------------------------------------------------------
// \[X\
//-------------------------------------------------------------------
#define APCI8284_MAX_MEM			6
#define APCI8284_MAX_IO				6

typedef struct APCI8284RESOURCE {
	DWORD	dwNumMemRegion;						// ̈搔
	DWORD	dwMemBase		[APCI8284_MAX_MEM];	// x[X
	DWORD	dwMemLength		[APCI8284_MAX_MEM];	// 

	DWORD	dwNumIoRegion;						// I/O ̈搔
	DWORD	dwIoBase		[APCI8284_MAX_IO];	// I/O |[gx[X
	DWORD	dwIoLength		[APCI8284_MAX_IO];	// I/O |[g

	DWORD	dwIrq;								// ԍ

} APCI8284RESOURCE,*PAPCI8284R;

//-------------------------------------------------------------------
// G[R[h
//-------------------------------------------------------------------
#define APCI8284_SUCCESS				0		// ُȂiIj
#define APCI8284_ERR_SYSTEM				1		// Windows  GetLastError() R[Ă
												// ɃhCo[hĂȂ\܂
#define APCI8284_ERR_NO_DEVICE			2		// gp\ȃfoCX܂
#define APCI8284_ERR_IN_USE				3		// w̃foCX͎gpł
#define APCI8284_ERR_INVALID_SLOT		4		// Ș_\Pbgł
#define APCI8284_ERR_RESOURCE			5		// \[XG[
#define APCI8284_ERR_INVALID_ARGUMENT	6		// p[^s

#define APCI8284_ERR_REGION				10		// sȗ̈w
#define APCI8284_ERR_OFFSET				11		// sȃItZbgw
#define APCI8284_ERR_SIZE				12		// sȃTCYw
#define APCI8284_ERR_MEM_ALLOC			13		// cl`]pmێs
#define APCI8284_ERR_MEM_FREE			14		// cl`]ps
#define APCI8284_ERR_MEM_ACCESS			15		// cl`]p͊mۂĂȂ
